<?php 

	$nataraj_dance_studio_custom_style = '';

	// Global color
	$nataraj_dance_studio_theme_color = get_theme_mod('nataraj_dance_studio_theme_color');

	if( $nataraj_dance_studio_theme_color != ''){

		$nataraj_dance_studio_custom_style .=' button:hover, button:focus, input[type="button"]:hover, input[type="button"]:focus, input[type="submit"]:hover, input[type="submit"]:focus, #sidelong-menu, .nav-menu ul ul a, .read-btn a.blogbutton-small:hover, .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, nav.woocommerce-MyAccount-navigation ul li, .page-numbers.current, a.more-link, button, input[type="button"], input[type="submit"], .prev.page-numbers, .next.page-numbers, .site-footer button.search-submit, #sidebar button.search-submit, button.search-submit, .site-footer .tagcloud a:hover, #sidebar .tagcloud a:hover {';
			$nataraj_dance_studio_custom_style .=' background-color: '.esc_attr($nataraj_dance_studio_theme_color).';';
		$nataraj_dance_studio_custom_style .=' }';

		$nataraj_dance_studio_custom_style .=' .lz-content a, .entry-content a, .comment-body a, .text-content a, .textwidget a, .nav-menu ul li a:active, .nav-menu ul li a:hover, .top i, .social-icons i:hover, .woocommerce-product-details__short-description a, .article-text .metabox i, .text-content p a, #sidebar .textwidget a, .site-footer .textwidget a, .comment-content a, .read-btn a.blogbutton-small, .service-section:hover a, a.showcoupon, .woocommerce-message::before, .entry-title a, .site-footer h3.widget-title a, h3.widget-title, #sidebar h3.widget-title {';
			$nataraj_dance_studio_custom_style .=' color: '.esc_attr($nataraj_dance_studio_theme_color).';';
		$nataraj_dance_studio_custom_style .=' }';

		$nataraj_dance_studio_custom_style .=' .read-btn a.blogbutton-small{';
			$nataraj_dance_studio_custom_style .=' border-color: '.esc_attr($nataraj_dance_studio_theme_color).';';
		$nataraj_dance_studio_custom_style .=' }';

		$nataraj_dance_studio_custom_style .=' @media screen and (max-width:1000px) {
			.nav-menu .current_page_item > a, .nav-menu .current-menu-item > a, .nav-menu .current_page_ancestor > a, .nav-menu ul li a:hover {';
			$nataraj_dance_studio_custom_style .=' color: '.esc_attr($nataraj_dance_studio_theme_color).';';
		$nataraj_dance_studio_custom_style .=' } }';

		$nataraj_dance_studio_custom_style .=' @media screen and (min-width:67em) {
			.page-numbers:hover, .page-numbers.current{';
			$nataraj_dance_studio_custom_style .=' background-color: '.esc_attr($nataraj_dance_studio_theme_color).';';
		$nataraj_dance_studio_custom_style .=' } }';
	}

	// Logo Size
	$nataraj_dance_studio_logo_top_padding = get_theme_mod('nataraj_dance_studio_logo_top_padding');
	$nataraj_dance_studio_logo_bottom_padding = get_theme_mod('nataraj_dance_studio_logo_bottom_padding');
	$nataraj_dance_studio_logo_left_padding = get_theme_mod('nataraj_dance_studio_logo_left_padding');
	$nataraj_dance_studio_logo_right_padding = get_theme_mod('nataraj_dance_studio_logo_right_padding');

	if( $nataraj_dance_studio_logo_top_padding != '' || $nataraj_dance_studio_logo_bottom_padding != '' || $nataraj_dance_studio_logo_left_padding != '' || $nataraj_dance_studio_logo_right_padding != ''){
		$nataraj_dance_studio_custom_style .=' .logo {';
			$nataraj_dance_studio_custom_style .=' padding-top: '.esc_attr($nataraj_dance_studio_logo_top_padding).'px; padding-bottom: '.esc_attr($nataraj_dance_studio_logo_bottom_padding).'px; padding-left: '.esc_attr($nataraj_dance_studio_logo_left_padding).'px; padding-right: '.esc_attr($nataraj_dance_studio_logo_right_padding).'px;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_logo_size = get_theme_mod('nataraj_dance_studio_logo_size');
	if( $nataraj_dance_studio_logo_size != '' ){
		$nataraj_dance_studio_custom_style .=' .custom-logo-link img {';
			$nataraj_dance_studio_custom_style .=' width: '.esc_attr($nataraj_dance_studio_logo_size).'%;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	// service section padding
	$nataraj_dance_studio_services_section_padding = get_theme_mod('nataraj_dance_studio_services_section_padding');

	if( $nataraj_dance_studio_services_section_padding != ''){
		$nataraj_dance_studio_custom_style .=' #our-services {';
			$nataraj_dance_studio_custom_style .=' padding-top: '.esc_attr($nataraj_dance_studio_services_section_padding).'px; padding-bottom: '.esc_attr($nataraj_dance_studio_services_section_padding).'px;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	// Site Title Font Size
	$nataraj_dance_studio_site_title_font_size = get_theme_mod('nataraj_dance_studio_site_title_font_size');
	if( $nataraj_dance_studio_site_title_font_size != ''){
		$nataraj_dance_studio_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$nataraj_dance_studio_custom_style .=' font-size: '.esc_attr($nataraj_dance_studio_site_title_font_size).'px;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_site_title_color = get_theme_mod('nataraj_dance_studio_site_title_color');
	if ( $nataraj_dance_studio_site_title_color != '') {
		$nataraj_dance_studio_custom_style .=' .logo p.site-title a{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_site_title_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	// Site Tagline Font Size
	$nataraj_dance_studio_site_tagline_font_size = get_theme_mod('nataraj_dance_studio_site_tagline_font_size');
	if( $nataraj_dance_studio_site_tagline_font_size != ''){
		$nataraj_dance_studio_custom_style .=' .logo p.site-description {';
			$nataraj_dance_studio_custom_style .=' font-size: '.esc_attr($nataraj_dance_studio_site_tagline_font_size).'px;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_site_tagline_color = get_theme_mod('nataraj_dance_studio_site_tagline_color');
	if ( $nataraj_dance_studio_site_tagline_color != '') {
		$nataraj_dance_studio_custom_style .=' p.site-description{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_site_tagline_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_slider_hide_show = get_theme_mod('nataraj_dance_studio_slider_hide_show',false);
	if( $nataraj_dance_studio_slider_hide_show == true){
		$nataraj_dance_studio_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$nataraj_dance_studio_custom_style .=' display:none;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_topicon_color = get_theme_mod('nataraj_dance_studio_topicon_color');
	if ( $nataraj_dance_studio_topicon_color != '') {
		$nataraj_dance_studio_custom_style .=' .top i{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_topicon_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_toptext_color = get_theme_mod('nataraj_dance_studio_toptext_color');
	if ( $nataraj_dance_studio_toptext_color != '') {
		$nataraj_dance_studio_custom_style .=' .top span{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_toptext_color).' !important;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_menu_color = get_theme_mod('nataraj_dance_studio_menu_color');
	if ( $nataraj_dance_studio_menu_color != '') {
		$nataraj_dance_studio_custom_style .=' .nav-menu li a{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_menu_color).' ;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_menuhvr_color = get_theme_mod('nataraj_dance_studio_menuhvr_color');
	if ( $nataraj_dance_studio_menuhvr_color != '') {
		$nataraj_dance_studio_custom_style .=' .nav-menu li a:hover{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_menuhvr_color).' !important;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_menubg_color = get_theme_mod('nataraj_dance_studio_menubg_color');
	if ( $nataraj_dance_studio_menubg_color != '') {
		$nataraj_dance_studio_custom_style .=' .page-template-custom-home-page #header .main-top {';
			$nataraj_dance_studio_custom_style .=' background-color:'.esc_attr($nataraj_dance_studio_menubg_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	//Menu animation
	$nataraj_dance_studio_dropdown_anim = get_theme_mod('nataraj_dance_studio_dropdown_anim');

	if ( $nataraj_dance_studio_dropdown_anim != '') {
		$nataraj_dance_studio_custom_style .=' .nav-menu ul ul {';
			$nataraj_dance_studio_custom_style .=' animation:'.esc_attr($nataraj_dance_studio_dropdown_anim).' 1s ease;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	// Footer css
	$nataraj_dance_studio_copyright_padding = get_theme_mod('nataraj_dance_studio_copyright_padding');
	if( $nataraj_dance_studio_copyright_padding != ''){
		$nataraj_dance_studio_custom_style .=' .site-info {';
			$nataraj_dance_studio_custom_style .=' padding-top: '.esc_attr($nataraj_dance_studio_copyright_padding).'px; padding-bottom: '.esc_attr($nataraj_dance_studio_copyright_padding).'px;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_footer_copy_font_size = get_theme_mod('nataraj_dance_studio_footer_copy_font_size');
	if( $nataraj_dance_studio_footer_copy_font_size != ''){
		$nataraj_dance_studio_custom_style .=' .copyright p, .copyright a {';
			$nataraj_dance_studio_custom_style .=' font-size: '.esc_attr($nataraj_dance_studio_footer_copy_font_size).'px;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_footer_title_color = get_theme_mod('nataraj_dance_studio_footer_title_color');
	if ( $nataraj_dance_studio_footer_title_color != '') {
		$nataraj_dance_studio_custom_style .=' .site-footer h3.widget-title{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_footer_title_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_footer_menu_color = get_theme_mod('nataraj_dance_studio_footer_menu_color');
	if ( $nataraj_dance_studio_footer_menu_color != '') {
		$nataraj_dance_studio_custom_style .=' .site-footer a{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_footer_menu_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_copyright_text_color = get_theme_mod('nataraj_dance_studio_copyright_text_color');
	if ( $nataraj_dance_studio_copyright_text_color != '') {
		$nataraj_dance_studio_custom_style .=' .copyright p, .copyright a{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_copyright_text_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_copyright_border_color = get_theme_mod('nataraj_dance_studio_copyright_border_color');
	if ( $nataraj_dance_studio_copyright_border_color != '') {
		$nataraj_dance_studio_custom_style .=' .copyright{';
			$nataraj_dance_studio_custom_style .=' border-top-color:'.esc_attr($nataraj_dance_studio_copyright_border_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_copyright_bg_color = get_theme_mod('nataraj_dance_studio_copyright_bg_color');
	if ( $nataraj_dance_studio_copyright_bg_color != '') {
		$nataraj_dance_studio_custom_style .=' #colophon{';
			$nataraj_dance_studio_custom_style .=' background-color:'.esc_attr($nataraj_dance_studio_copyright_bg_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	//Social icon color
	$nataraj_dance_studio_social_color = get_theme_mod('nataraj_dance_studio_social_color');

	if ( $nataraj_dance_studio_social_color != '') {
		$nataraj_dance_studio_custom_style .=' .page-template-custom-home-page .social-icons i{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_social_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	//Slider color
	$nataraj_dance_studio_slider_title_font_size = get_theme_mod('nataraj_dance_studio_slider_title_font_size');

	if( $nataraj_dance_studio_slider_title_font_size != ''){
		$nataraj_dance_studio_custom_style .=' #slider .inner_carousel h1 {';
			$nataraj_dance_studio_custom_style .=' font-size: '.esc_attr($nataraj_dance_studio_slider_title_font_size).'px;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_slider_text_font_size = get_theme_mod('nataraj_dance_studio_slider_text_font_size');

	if( $nataraj_dance_studio_slider_text_font_size != ''){
		$nataraj_dance_studio_custom_style .=' #slider .inner_carousel p {';
			$nataraj_dance_studio_custom_style .=' font-size: '.esc_attr($nataraj_dance_studio_slider_text_font_size).'px;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_slider_opacity = get_theme_mod('nataraj_dance_studio_slider_opacity');

	if ( $nataraj_dance_studio_slider_opacity != '') {
		$nataraj_dance_studio_custom_style .=' #slider img{';
			$nataraj_dance_studio_custom_style .=' opacity:'.esc_attr($nataraj_dance_studio_slider_opacity).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_slider_color = get_theme_mod('nataraj_dance_studio_slider_color');

	if ( $nataraj_dance_studio_slider_color != '') {
		$nataraj_dance_studio_custom_style .=' #slider .inner_carousel h1 a{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_slider_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_slider_text_color = get_theme_mod('nataraj_dance_studio_slider_text_color');

	if ( $nataraj_dance_studio_slider_text_color != '') {
		$nataraj_dance_studio_custom_style .=' #slider .inner_carousel p{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_slider_text_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_slider_np_color = get_theme_mod('nataraj_dance_studio_slider_np_color');
	if ( $nataraj_dance_studio_slider_np_color != '') {
		$nataraj_dance_studio_custom_style .=' #slider i{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_slider_np_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	//Feature color
	$nataraj_dance_studio_services_title_font_size = get_theme_mod('nataraj_dance_studio_services_title_font_size');

	if( $nataraj_dance_studio_services_title_font_size != ''){
		$nataraj_dance_studio_custom_style .=' #our-services h2 {';
			$nataraj_dance_studio_custom_style .=' font-size: '.esc_attr($nataraj_dance_studio_services_title_font_size).'px;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_services_post_title_font_size = get_theme_mod('nataraj_dance_studio_services_post_title_font_size');

	if( $nataraj_dance_studio_services_post_title_font_size != ''){
		$nataraj_dance_studio_custom_style .=' #our-services .content h3 {';
			$nataraj_dance_studio_custom_style .=' font-size: '.esc_attr($nataraj_dance_studio_services_post_title_font_size).'px;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_services_post_text_font_size = get_theme_mod('nataraj_dance_studio_services_post_text_font_size');

	if( $nataraj_dance_studio_services_post_text_font_size != ''){
		$nataraj_dance_studio_custom_style .=' #our-services .content p {';
			$nataraj_dance_studio_custom_style .=' font-size: '.esc_attr($nataraj_dance_studio_services_post_text_font_size).'px;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_img_hight = get_theme_mod('nataraj_dance_studio_img_hight');

	if( $nataraj_dance_studio_img_hight != ''){
		$nataraj_dance_studio_custom_style .=' .service-img img {';
			$nataraj_dance_studio_custom_style .=' width: '.esc_attr($nataraj_dance_studio_img_hight).'px; height: '.esc_attr($nataraj_dance_studio_img_hight).'px;';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_our_services_title_color = get_theme_mod('nataraj_dance_studio_our_services_title_color');

	if ( $nataraj_dance_studio_our_services_title_color != '') {
		$nataraj_dance_studio_custom_style .=' #our-services h2{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_our_services_title_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_feature_color = get_theme_mod('nataraj_dance_studio_feature_color');

	if ( $nataraj_dance_studio_feature_color != '') {
		$nataraj_dance_studio_custom_style .=' #our-services .service-section h3 a{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_feature_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}

	$nataraj_dance_studio_feature_text_color = get_theme_mod('nataraj_dance_studio_feature_text_color');

	if ( $nataraj_dance_studio_feature_text_color != '') {
		$nataraj_dance_studio_custom_style .=' #our-services .content p{';
			$nataraj_dance_studio_custom_style .=' color:'.esc_attr($nataraj_dance_studio_feature_text_color).';';
		$nataraj_dance_studio_custom_style .=' }';
	}